Package org.springframework.web.cors.reactive

# Interface PreFlightRequestHandler

public interface PreFlightRequestHandler
Handler for CORS pre-flight requests.

Since:
  5.3.4
Author:
  Rossen Stoyanchev
See Also:
  - `PreFlightRequestWebFilter`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handlePreFlight(ServerWebExchange exchange)`
Handle a pre-flight request by finding and applying the CORS configuration that matches the expected actual request.

## Method Details

### handlePreFlight

reactor.core.publisher.Mono<Void> handlePreFlight(ServerWebExchange exchange)
Handle a pre-flight request by finding and applying the CORS configuration that matches the expected actual request. As a result of handling, the response should be updated with CORS headers or rejected with `HttpStatus.FORBIDDEN`.

Parameters:
  `exchange` - the exchange for the request
Returns:
  a completion handle